#184 Latest svn revision failed to build on Debian sid

open
Sean Morrison
7
2008-09-27
2008-09-27
No

Hello,

svn revision 32778. brlcad failed to build with these errors:

./.libs/libtie1.a(libtie1_la-tie_kdtree.o): In function `tie_kdtree_build':
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:739: undefined reference to `bu_free'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:751: undefined reference to `bu_free'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:752: undefined reference to `bu_free'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:743: undefined reference to `bu_realloc'
./.libs/libtie1.a(libtie1_la-tie_kdtree.o): In function `tie_kdtree_prep1':
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:916: undefined reference to `bu_realloc'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:918: undefined reference to `bu_free'
./.libs/libtie1.a(libtie1_la-tie_kdtree.o): In function `tie_kdtree_prep_head':
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:203: undefined reference to `bu_malloc'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:204: undefined reference to `bu_malloc'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:210: undefined reference to `bu_malloc'
./.libs/libtie1.a(libtie1_la-tie_kdtree.o): In function `tie_kdtree_free_node':
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:122: undefined reference to `bu_free'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:122: undefined reference to `bu_free'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:123: undefined reference to `bu_free'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:122: undefined reference to `bu_free'
/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:123: undefined reference to `bu_free'
./.libs/libtie1.a(libtie1_la-tie_kdtree.o):/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie/tie_kdtree.c:122: more undefined references to `bu_free' follow
collect2: ld returned 1 exit status
make[4]: *** [libtie.la] Error 1
make[4]: Leaving directory `/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt/libtie'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/buildd/brlcad-7.12.6+svn32778/src/adrt'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/brlcad-7.12.6+svn32778/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/buildd/brlcad-7.12.6+svn32778'
make: *** [build-stamp] Error 2

Let me know if you need the full build log.

Regards.

Giuseppe.

Discussion

  • Sean Morrison
    Sean Morrison
    2008-09-27

    • milestone: --> other bug / workaround
    • priority: 5 --> 7
    • assigned_to: nobody --> brlcad
    • status: open --> pending
     
  • Sean Morrison
    Sean Morrison
    2008-09-27

    Hm, the last time a problem like this was seen on Debian, it was due to Debian incorrectly setting link_all_deplibs to 'no' in the generated libtool script (it needs to be 'yes' or 'unknown'). To be sure, though, can you provide more of the proceeding error, at least up to the last two lines that say gcc and libtool before that error just so it's clear where in the build it's at? If it's easier for you to just provide the full build log, that'd work just fine too. Oh, yes -- and please attach the libtool script that was generated as well.

    That said, for integration, adrt can be disabled for integration with a patch without us loosing any critical functionality. This patch would do the trick:

    Index: src/Makefile.am

    --- src/Makefile.am (revision 32779)
    +++ src/Makefile.am (working copy)
    @@ -55,7 +55,6 @@
    libmultispectral \ libtclcad \ libtermio \ - adrt \ anim \ archer \ brlman \

     
  • Attached also the full build log.

    (cd .libs && rm -f libtie0.la && ln -s ../libtie0.la libtie0.la)
    /bin/sh ../../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../../../include -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java
    -6-openjdk/include -I/usr/local/include -DBRLCADBUILD=1 -I../../../include -I../../../src/other/openNURBS -DTIE_PRECISION=1 -g -O2 -I/usr/include/tcl8.4 -I/
    usr/include/jama -I/usr/lib/jvm/java-6-openjdk/include -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wu
    nreachable-code -Winline -Wconversion -c -o libtie1_la-tie.lo `test -f 'tie.c' || echo './'`tie.c
    gcc -DHAVE_CONFIG_H -I. -I../../../include -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/include -I/usr/local/include -DBRLCADBUIL
    D=1 -I../../../include -I../../../src/other/openNURBS -DTIE_PRECISION=1 -g -O2 -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/includ
    e -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wunreachable-code -Winline -Wconversion -c tie.c -fPIC
    -DPIC -o .libs/libtie1_la-tie.o
    tie.c: In function 'tie_work1':
    tie.c:214: warning: comparing floating point with == or != is unsafe
    tie.c:217: warning: conversion to 'int' from 'double' may alter its value
    tie.c:221: warning: conversion to 'int' from 'long int' may alter its value
    tie.c:260: warning: conversion to 'int' from 'long int' may alter its value
    tie.c:292: warning: comparison between signed and unsigned
    gcc -DHAVE_CONFIG_H -I. -I../../../include -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/include -I/usr/local/include -DBRLCADBUIL
    D=1 -I../../../include -I../../../src/other/openNURBS -DTIE_PRECISION=1 -g -O2 -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/includ
    e -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wunreachable-code -Winline -Wconversion -c tie.c -o lib
    tie1_la-tie.o >/dev/null 2>&1
    /bin/sh ../../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../../../include -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java
    -6-openjdk/include -I/usr/local/include -DBRLCADBUILD=1 -I../../../include -I../../../src/other/openNURBS -DTIE_PRECISION=1 -g -O2 -I/usr/include/tcl8.4 -I/
    usr/include/jama -I/usr/lib/jvm/java-6-openjdk/include -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wu
    nreachable-code -Winline -Wconversion -c -o libtie1_la-tie_kdtree.lo `test -f 'tie_kdtree.c' || echo './'`tie_kdtree.c
    gcc -DHAVE_CONFIG_H -I. -I../../../include -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/include -I/usr/local/include -DBRLCADBUIL
    D=1 -I../../../include -I../../../src/other/openNURBS -DTIE_PRECISION=1 -g -O2 -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/includ
    e -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wunreachable-code -Winline -Wconversion -c tie_kdtree.c
    -fPIC -DPIC -o .libs/libtie1_la-tie_kdtree.o
    In file included from ../../../include/raytrace.h:43,
    from tie_kdtree.c:38:
    ../../../include/bn.h:492: warning: 'extern' is not at beginning of declaration
    tie_kdtree.c: In function 'tie_kdtree_cache_free_node':
    tie_kdtree.c:152: warning: conversion to 'uint32_t' from 'long unsigned int' may alter its value
    tie_kdtree.c:154: warning: conversion to 'uint8_t' from 'long int' may alter its value
    tie_kdtree.c:172: warning: conversion to 'uint32_t' from 'long unsigned int' may alter its value
    tie_kdtree.c:180: warning: conversion to 'uint32_t' from 'long int' may alter its value
    tie_kdtree.c:182: warning: conversion to 'uint32_t' from 'long unsigned int' may alter its value
    tie_kdtree.c: In function 'tie_kdtree_build':
    tie_kdtree.c:333: warning: conversion to 'unsigned int' from 'int' may change the sign of the result
    tie_kdtree.c:333: warning: conversion to 'int' from 'unsigned int' may change the sign of the result
    tie_kdtree.c:540: warning: conversion to 'unsigned int' from 'double' may alter its value
    tie_kdtree.c:541: warning: conversion to 'unsigned int' from 'double' may alter its value
    tie_kdtree.c:550: warning: conversion to 'unsigned int' from 'double' may alter its value
    tie_kdtree.c:551: warning: conversion to 'unsigned int' from 'double' may alter its value
    tie_kdtree.c:585: warning: conversion to 'int' from 'unsigned int' may change the sign of the result
    tie_kdtree.c:585: warning: conversion to 'int' from 'unsigned int' may change the sign of the result
    tie_kdtree.c:605: warning: conversion to 'unsigned int' from 'double' may alter its value
    tie_kdtree.c:646: warning: conversion to 'unsigned int' from 'int' may change the sign of the result
    tie_kdtree.c:646: warning: conversion to 'int' from 'unsigned int' may change the sign of the result
    tie_kdtree.c:737: warning: suggest explicit braces to avoid ambiguous 'else'
    tie_kdtree.c:318: warning: unused parameter 'node_a'
    tie_kdtree.c:318: warning: unused parameter 'node_b'
    tie_kdtree.c: In function 'tie_kdtree_cache_load1':
    tie_kdtree.c:814: warning: declaration of 'index' shadows a global declaration
    /usr/include/string.h:309: warning: shadowed declaration is here
    tie_kdtree.c:831: warning: conversion to 'uint32_t' from 'long unsigned int' may alter its value
    tie_kdtree.c:840: warning: conversion to 'uint32_t' from 'long unsigned int' may alter its value
    tie_kdtree.c:859: warning: conversion to 'uint32_t' from 'long unsigned int' may alter its value
    tie_kdtree.c: In function 'tie_kdtree_prep1':
    tie_kdtree.c:914: warning: suggest explicit braces to avoid ambiguous 'else'
    tie_kdtree.c:926:22: warning: "TIE_PRECISION_SINGLE" is not defined
    tie_kdtree.c:938: warning: conversion to 'unsigned int' from 'int' may change the sign of the result
    tie_kdtree.c: In function 'tie_kdtree_build':
    tie_kdtree.c:394: warning: 'd_max' may be used uninitialized in this function
    tie_kdtree.c:394: warning: 'd_min' may be used uninitialized in this function
    tie_kdtree.c:392: warning: 'split_slice' may be used uninitialized in this function
    tie_kdtree.c:322: warning: 'split' may be used uninitialized in this function
    gcc -DHAVE_CONFIG_H -I. -I../../../include -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/include -I/usr/local/include -DBRLCADBUILD=1 -I../../../include -I../../../src/other/openNURBS -DTIE_PRECISION=1 -g -O2 -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/include -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wunreachable-code -Winline -Wconversion -c tie_kdtree.c -o libtie1_la-tie_kdtree.o >/dev/null 2>&1
    /bin/sh ../../../libtool --tag=CC --mode=link gcc -DTIE_PRECISION=1 -g -O2 -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/include -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wunreachable-code -Winline -Wconversion -Wl,-z,defs,-lstdc++,-lm,-lXi,-ldl,-litcl3.2,-lBLT,-lpthread -L/usr/local/lib -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wunreachable-code -Winline -Wconversion -o libtie1.la libtie1_la-tie.lo libtie1_la-tie_kdtree.lo
    ar cru .libs/libtie1.a .libs/libtie1_la-tie.o .libs/libtie1_la-tie_kdtree.o
    ranlib .libs/libtie1.a
    creating libtie1.la
    (cd .libs && rm -f libtie1.la && ln -s ../libtie1.la libtie1.la)
    /bin/sh ../../../libtool --tag=CC --mode=link gcc -g -O2 -I/usr/include/tcl8.4 -I/usr/include/jama -I/usr/lib/jvm/java-6-openjdk/include -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wunreachable-code -Winline -Wconversion -Wl,-z,defs,-lstdc++,-lm,-lXi,-ldl,-litcl3.2,-lBLT,-lpthread -L/usr/local/lib -pipe -fno-strict-aliasing -fno-common -fexceptions -g -O3 -W -Wall -Wundef -Wfloat-equal -Wshadow -Wunreachable-code -Winline -Wconversion -o libtie.la -rpath /usr/lib/brlcad libtie0.la libtie1.la -ltcl8.4 -lpng -lz -lm -lc -lpthread
    gcc -shared -Wl,--whole-archive ./.libs/libtie0.a ./.libs/libtie1.a -Wl,--no-whole-archive -L/usr/local/lib -ltcl8.4 -lpng -lz -lm -lc -lpthread -Wl,-z -Wl,defs -Wl,-lstdc++ -Wl,-lm -Wl,-lXi -Wl,-ldl -Wl,-litcl3.2 -Wl,-lBLT -Wl,-lpthread -Wl,-soname -Wl,libtie.so.0 -o .libs/libtie.so.0.0.0
    ./.libs/libtie0.a(libtie0_la-tie.o): In function `tie_push0':
    /tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie.c:439: undefined reference to `bu_malloc'
    /tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie.c:408: undefined reference to `bu_realloc'
    ./.libs/libtie0.a(libtie0_la-tie.o): In function `tie_init0':
    /tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie.c:123: undefined reference to `bu_malloc'
    ./.libs/libtie0.a(libtie0_la-tie.o): In function `tie_free0':
    /tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie.c:143: undefined reference to `bu_free'
    /tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie.c:144: undefined reference to `bu_free'
    ./.libs/libtie0.a(libtie0_la-tie_kdtree.o): In function `tie_kdtree_cache_free_node':

    [...]

    /tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie_kdtree.c:122: undefined reference to `bu_free'
    /tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie_kdtree.c:123: undefined reference to `bu_free'
    /tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie_kdtree.c:122: undefined reference to `bu_free'
    /tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie_kdtree.c:123: undefined reference to `bu_free'
    ./.libs/libtie1.a(libtie1_la-tie_kdtree.o):/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie/tie_kdtree.c:122: more undefined references to `bu_free' follow
    collect2: ld returned 1 exit status
    make[4]: *** [libtie.la] Error 1
    make[4]: Leaving directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt/libtie'
    make[3]: *** [all-recursive] Error 1
    make[3]: Leaving directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src/adrt'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780'
    make: *** [build-stamp] Error 2

    File Added: brlcad.log.bz2

     
  •  
    Attachments
    • status: pending --> open
     
  • Hello,

    I disabled adrt and now I've another build issue:

    Making all in books
    make[4]: Entering directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/doc/docbook/books'
    Making all in tutorial_series
    make[5]: Entering directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/doc/docbook/books/tutorial_series'
    XML_CATALOG_FILES=../../../../doc/docbook/catalog.xml /usr/bin/xsltproc -nonet -xinclude -o VolumeII.html ../../../../doc/docbook/resources/standard/xsl/xhtml-1_1/docbook.xsl VolumeII.xml
    warning: failed to load external entity "../../system/mged/mged_commands.xml"
    VolumeII.xml:372: element include: XInclude error : could not load ../../system/mged/mged_commands.xml, and no fallback was found
    warning: failed to load external entity "../../system/mged/mged_commands.xml"
    VolumeII.xml:373: element include: XInclude error : could not load ../../system/mged/mged_commands.xml, and no fallback was found
    Element include in namespace 'http://www.w3.org/2001/XInclude' encountered in appendix, but no template matches.
    Element include in namespace 'http://www.w3.org/2001/XInclude' encountered in appendix, but no template matches.
    XML_CATALOG_FILES=../../../../doc/docbook/catalog.xml /usr/bin/xsltproc -nonet -xinclude -o VolumeIII.html ../../../../doc/docbook/resources/standard/xsl/xhtml-1_1/docbook.xsl VolumeIII.xml
    XML_CATALOG_FILES=../../../../doc/docbook/catalog.xml /usr/bin/xsltproc -nonet -xinclude -o VolumeII.fo ../../../../doc/docbook/resources/standard/xsl/fo/docbook.xsl VolumeII.xml
    warning: failed to load external entity "../../system/mged/mged_commands.xml"
    VolumeII.xml:372: element include: XInclude error : could not load ../../system/mged/mged_commands.xml, and no fallback was found
    warning: failed to load external entity "../../system/mged/mged_commands.xml"
    VolumeII.xml:373: element include: XInclude error : could not load ../../system/mged/mged_commands.xml, and no fallback was found
    Making portrait pages on USletter paper (8.5inx11in)
    Element include in namespace 'http://www.w3.org/2001/XInclude' encountered in appendix, but no template matches.
    Element include in namespace 'http://www.w3.org/2001/XInclude' encountered in appendix, but no template matches.
    /usr/bin/fop VolumeII.fo -pdf VolumeII.pdf
    Sep 28, 2008 11:07:17 AM org.apache.fop.hyphenation.Hyphenator getHyphenationTree
    SEVERE: Couldn't find hyphenation pattern en
    Sep 28, 2008 11:07:19 AM org.apache.fop.fo.FONode attributeWarning
    WARNING: Warning(193/601): fo:table, table-layout="auto" is currently not supported by FOP
    Sep 28, 2008 11:07:19 AM org.apache.fop.fo.FONode attributeWarning
    WARNING: Warning(217/601): fo:table, table-layout="auto" is currently not supported by FOP
    Sep 28, 2008 11:07:20 AM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
    WARNING: Line 1 of a paragraph overflows the available area. (fo:block, location: 133/238)
    Sep 28, 2008 11:07:20 AM org.apache.fop.cli.Main startFOP
    SEVERE: Exception
    java.lang.NullPointerException
    at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:168)
    at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:115)
    at org.apache.fop.cli.Main.startFOP(Main.java:166)
    at org.apache.fop.cli.Main.main(Main.java:197)

    ---------

    java.lang.NullPointerException
    at org.apache.fop.render.pdf.FopPDFImage.setup(FopPDFImage.java:144)
    at org.apache.fop.pdf.PDFDocument.addImage(PDFDocument.java:794)
    at org.apache.fop.render.pdf.PDFRenderer.putImage(PDFRenderer.java:1725)
    at org.apache.fop.render.pdf.PDFRenderer.renderImage(PDFRenderer.java:1652)
    at org.apache.fop.render.AbstractRenderer.renderViewport(AbstractRenderer.java:748)
    at org.apache.fop.render.AbstractPathOrientedRenderer.renderViewport(AbstractPathOrientedRenderer.java:541)
    at org.apache.fop.render.AbstractRenderer.renderInlineArea(AbstractRenderer.java:631)
    at org.apache.fop.render.pdf.PDFRenderer.renderInlineArea(PDFRenderer.java:1316)
    at org.apache.fop.render.AbstractRenderer.renderLineArea(AbstractRenderer.java:606)
    at org.apache.fop.render.pdf.PDFRenderer.renderLineArea(PDFRenderer.java:1307)
    at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:532)
    at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:582)
    at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1300)
    at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:522)
    at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:582)
    at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1300)
    at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:522)
    at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:582)
    at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1300)
    at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:522)
    at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:582)
    at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1300)
    at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:522)
    at org.apache.fop.render.AbstractRenderer.renderFlow(AbstractRenderer.java:427)
    at org.apache.fop.render.AbstractRenderer.renderMainReference(AbstractRenderer.java:406)
    at org.apache.fop.render.AbstractRenderer.renderBodyRegion(AbstractRenderer.java:340)
    at org.apache.fop.render.AbstractRenderer.renderRegionViewport(AbstractRenderer.java:285)
    at org.apache.fop.render.AbstractRenderer.renderPageAreas(AbstractRenderer.java:258)
    at org.apache.fop.render.AbstractRenderer.renderPage(AbstractRenderer.java:232)
    at org.apache.fop.render.pdf.PDFRenderer.renderPage(PDFRenderer.java:757)
    at org.apache.fop.area.RenderPagesModel.addPage(RenderPagesModel.java:120)
    at org.apache.fop.layoutmgr.PageSequenceLayoutManager.finishPage(PageSequenceLayoutManager.java:424)
    at org.apache.fop.layoutmgr.PageSequenceLayoutManager.makeNewPage(PageSequenceLayoutManager.java:377)
    at org.apache.fop.layoutmgr.PageBreaker.handleBreakTrait(PageBreaker.java:492)
    at org.apache.fop.layoutmgr.PageBreaker.startPart(PageBreaker.java:398)
    at org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:420)
    at org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:370)
    at org.apache.fop.layoutmgr.PageBreaker.doPhase3(PageBreaker.java:262)
    at org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:345)
    at org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:263)
    at org.apache.fop.layoutmgr.PageSequenceLayoutManager.activateLayout(PageSequenceLayoutManager.java:144)
    at org.apache.fop.area.AreaTreeHandler.endPageSequence(AreaTreeHandler.java:233)
    at org.apache.fop.fo.pagination.PageSequence.endOfNode(PageSequence.java:145)
    at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.endElement(FOTreeBuilder.java:378)
    at org.apache.fop.fo.FOTreeBuilder.endElement(FOTreeBuilder.java:194)
    at org.apache.xalan.transformer.TransformerIdentityImpl.endElement(TransformerIdentityImpl.java:1102)
    at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
    at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source)
    at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
    at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
    at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
    at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
    at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
    at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
    at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:485)
    at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:165)
    at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:115)
    at org.apache.fop.cli.Main.startFOP(Main.java:166)
    at org.apache.fop.cli.Main.main(Main.java:197)
    make[5]: *** [VolumeII.pdf] Error 1
    rm VolumeII.fo
    make[5]: Leaving directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/doc/docbook/books/tutorial_series'
    make[4]: *** [all-recursive] Error 1
    make[4]: Leaving directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/doc/docbook/books'
    make[3]: *** [all-recursive] Error 1
    make[3]: Leaving directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/doc/docbook'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780/doc'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/tmp/buildd/brlcad-7.12.6+dfsg+svn32780'
    make: *** [build-stamp] Error 2

     
  • Sean Morrison
    Sean Morrison
    2008-09-30

    That's unfortunately a side effect of working off of the trunk. There is a major documentation integration effort going on right now that is incomplete. I just committed a fix that should let you add --disable-docs to configure to avoid the error you ran into.

    I also applied a change to the adrt dir to specify one of the libadd dependencies (which we should not have to do there, but that gets back at debian breaking libtool that I referred to). So, it may work better now. Untested.

    On a slightly related note, I noticed that you added --enable-warnings based on the logs you've been sharing. That option has no practical value to folks outside of the dev team as it even enables warnings for issues in system headers and issues outside our control. It doesn't even provide additional useful logging information to leave it in log files from users; it just adds to the noise and makes it more tedious to find the actual error lines. I'd suggest removing it.